XVIV_SIM_VHDL_CLEANUP(1)

NAME
xviv_sim_vhdl_cleanup - cleanup Vivado generated VHDL for GHDL

SYNOPSIS
xviv_sim_vhdl_cleanup file

DESCRIPTION
The Vivado write_vhdl command generates code that violates a VHDL language rule. Attributes of port signals are declared in the architecture but should be in the entity declaration. xsim and other simulators accept this, but ghdl(1) doesn't. This script simply filters out lines like
       attribute .... RTL_KEEP
Since attributes are ignored by ghdl(1) anyway this avoids the problem without any other side effects.

SEE ALSO
ghdl(1)

AUTHOR
Walter F.J. Mueller <W.F.J.Mueller@gsi.de>